﻿Public Class frmParamètres

    'Modification d'une valeur numérique dans un TextBox
    Private Sub TextBox_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtA.TextChanged, txtB.TextChanged, txtT.TextChanged, txtX.TextChanged, txtLambda.TextChanged, txtLambda2.TextChanged, txtPhi.TextChanged, txth.TextChanged, txtText.TextChanged
        If sender.Focused = False Then Exit Sub

        If IsNumeric(sender.Text) = False Then
            'Affiche le TextBox en rouge si la valeur entrée n'est pas un nombre
            sender.BackColor = Color.LightCoral
        Else
            'Affiche le TextBox en blanc si la valeur entrée est un nombre
            sender.BackColor = Color.White

            'Et définit les paramètres physiques
            With frmPrincipale
                .Sim.Lambda = CDbl(txtLambda.Text)
                .Sim.CLFluxImposé = CDbl(txtPhi.Text)
                .Sim.Lambda = CDbl(txtLambda.Text)
                .Sim.CLFluxCondConvh = CDbl(txth.Text)
                .Sim.CLFluxCondConvText = CDbl(txtText.Text)
            End With

        End If
    End Sub

    'Clic sur le bouton "OK"
    Private Sub btnOK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOK.Click
        'Masque la fenêtre
        Me.Hide()
    End Sub

    'Modification de la conductivité
    Private Sub txtLambda_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtLambda.TextChanged
        'On reporte la valeur dans l'autre TextBox
        txtLambda2.Text = txtLambda.Text
    End Sub

    'Modification de la conductivité
    Private Sub txtLambda2_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtLambda2.TextChanged
        'On reporte la valeur dans l'autre TextBox
        txtLambda.Text = txtLambda2.Text
    End Sub

End Class